UUCP(1C)

NAME
uucp, uulog, uuname - system to system copy

SYNOPSIS
uucp [ -cCdfjmr ] [ -ggrade ] [ -nusername ]
[ -x debug_level ] source-file ... destination-file

uulog [ -x ] [ -fsystem ] [ -ssystem ] [ -number ]

uuname [ -cl ]

AVAILABILITY

These commands are available with the uucp software installation option. Refer to for information on how to install optional software.

DESCRIPTION

  uucp

uucp copies each source-file to the named destination-file. A filename may be a path name on your machine, or may have the form

    system-name!pathname

where system-name is taken from a list of system names that uucp knows about. The system-name may also be a list of names such as

    system-name!system-name!...!system-name!pathname

in which case an attempt is made to send the file by way of the specified route, to the destination. See WARNINGS and BUGS below for restrictions. Care should be taken to ensure that intermediate nodes in the route are willing to foward information (see WARNINGS below for restrictions).

The shell metacharacters ?, *, and [ ] appearing in the pathname part will be expanded on the appropriate system.

Path names may be one of:

    •   a full pathname;

    •   a pathname preceded by ~username/; username is interpreted as a username on the specified system and is replaced by that user's login directory on that system;

    •   a pathname preceded by ~/destination/; the ~/ is replaced by the “public UUCP” directory on the remote machine Note: this destination will be treated as a file name unless more than one file is being transferred by this request or the destination is already a directory. To ensure that it is a directory, follow the destination with a '/'. For example ~/dan/ as the destination will make the directory /usr/spool/uucppublic/dan if it does not exist and put the requested file(s) in that directory;

    •   a partial pathname, which is prefixed by the pathname of current directory.

If the result is an erroneous pathname for the remote system, the copy will fail. If the destination-file is a directory, the last component of the source-file name is used.

uucp preserves execute permissions across the transmission and gives 0666 read and write permissions (see chmod(2V)).

  uulog

uulog queries the log file /var/spool/uucp/.Log/uucico/system of uucp transactions for system system, or the log file /var/spool/uucp/.Log/uuxqt/system of uux(1C) transactions for system system.

  uuname

uuname lists the UUCP names of systems that can be accessed using uucp.

OPTIONS

  uucp

-c  Use the source file when copying out rather than copying the file to the spool directory. This is the default.

-C  Make a copy of outgoing files in the UUCP spool directory, rather than copying the source file directly to the target system. This lets you remove the source file after issuing the uucp command.

-d  Make all necessary directories for the file copy. This is the default.

-f  Do not make intermediate directories for the file copy.

-j  Output the job identification ASCII string on the standard output. This job identification can be used by uustat(1C) to obtain the status or terminate a job.

-m  Send mail to the requester when the copy is complete.

-r  Do not start uucico(8C), just queue the job.

-ggrade
    grade is a single letter or number, from 0 to 9, A to Z, or a to z; 0 is the highest grade, and z is the lowest grade. Lower grades will cause the job to be transmitted earlier during a particular conversation. The default grade is n. By way of comparison, uux(1C) defaults to A; mail is usually sent at grade C.

-nusername
    Notify username on the remote system (that is, send username mail) that a file was sent.

-x debug_level
    Produce debugging output on the standard output. debug_level is a number between 0 and 9; higher numbers give more detailed information. 5, 7, and 9 are good numbers to try; they give increasing amounts of detail.

  uulog

-x  Look in the uuxqt(8C) log file for the given system.

-fsystem
    Does a `tail -f' of the file transfer log for system. You must hit BREAK to exit this function.

-ssystem
    Print information about work involving system system.

-number
    Indicate that a tail command of number lines should be executed.

  uuname

-c  Display the names of systems known to cu(1C). The two lists are the same, unless your machine is using different Systems files for cu and uucp. See the Sysfiles file.

-l  Display the local system name.

FILES
/var/spool/uucp
    spool directories
/var/spool/uucppublic
    public directory for receiving and sending
/etc/uucp/*
    other data files
/usr/lib/uucp/*
    other program files

SEE ALSO
mail(1), uustat(1C), uux(1C), chmod(2V), uucico(8C), uuxqt(8C)

WARNINGS

The domain of remotely accessible files can (and for obvious security reasons, usually should) be severely restricted. You will very likely not be able to fetch files by path name; ask a responsible person on the remote system to send them to you. For the same reasons you will probably not be able to send files to arbitrary path names. As distributed, the remotely accessible files are those whose names begin /usr/spool/uucppublic (equivalent to ~/).

All files received by uucp will be owned by the user ID uucp.

The -m option will only work sending files or receiving a single file. Receiving multiple files specified by special shell characters ?, *, and [ ] will not activate the -m option.

The forwarding of files through other systems may not be compatible with other versions of UUCP. If forwarding is used, all systems in the route must have the same version of UUCP.

When invoking uucp from csh(1), the ! character must be prefixed by the \ escape to inhibit csh's history mechanism. Quotes are not sufficient.

BUGS

Protected files and files that are in protected directories that are owned by the requestor can be sent by uucp. However, if the requestor is root, and the directory is not searchable by “other” or the file is not readable by “other”, the request will fail.